Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.ui.text.java
Interface IInvocationContext

public interface IInvocationContext

Context information for quick fix and quick assist processors.

Note: this interface is not intended to be implemented.

Since:
  3.0

Method Summary
`CompilationUnit` | `getASTRoot()` Returns an AST of the compilation unit, possibly only a partial AST focused on the selection offset (see `ASTParser.setFocalPosition(int)`).
`ICompilationUnit` | `getCompilationUnit()`
`ASTNode` | `getCoveredNode()` Convenience method to evaluate the AST node that is covered by the current selection.
`ASTNode` | `getCoveringNode()` Convenience method to evaluate the AST node covering the current selection.
`int` | `getSelectionLength()`
`int` | `getSelectionOffset()`

Method Detail

### getCompilationUnit

    public ICompilationUnit getCompilationUnit()

  Returns:
    Returns the current compilation unit.

### getSelectionOffset

    public int getSelectionOffset()

  Returns:
    Returns the offset of the current selection

### getSelectionLength

    public int getSelectionLength()

  Returns:
    Returns the length of the current selection

### getASTRoot

    public CompilationUnit getASTRoot()

  Returns an AST of the compilation unit, possibly only a partial AST focused on the selection offset (see `ASTParser.setFocalPosition(int)`). The returned AST is shared and therefore protected and cannot be modified. The client must check the AST API level and do nothing if they are given an AST they can't handle. (see `AST.apiLevel()`).

  Returns:
    Returns the root of the AST corresponding to the current compilation unit.

### getCoveringNode

    public ASTNode getCoveringNode()

  Convenience method to evaluate the AST node covering the current selection.

  Returns:
    Returns the node that covers the location of the problem

### getCoveredNode

    public ASTNode getCoveredNode()

  Convenience method to evaluate the AST node that is covered by the current selection.

  Returns:
    Returns the node that is covered by the location of the problem

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.